# NodeCryptoAesCipher | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- NodeCryptoAesCipher

### Implements

- AesCipher

## Index

### Constructors

- constructor

### Properties

- createCipher
- createDecipher

### Methods

- decrypt
- encrypt

## Constructors

### constructor

- new NodeCryptoAesCipher(createCipher: NodeCryptoCreateCipher, createDecipher: NodeCryptoCreateDecipher ): NodeCryptoAesCipher

- - Defined in packages/encryption/src/aesCipher.ts:17

  #### Parameters

  - ##### createCipher: NodeCryptoCreateCipher

  - ##### createDecipher: NodeCryptoCreateDecipher

  #### Returns NodeCryptoAesCipher

## Properties

### createCipher

createCipher: NodeCryptoCreateCipher

- Defined in packages/encryption/src/aesCipher.ts:15

### createDecipher

createDecipher: NodeCryptoCreateDecipher

- Defined in packages/encryption/src/aesCipher.ts:17

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.decrypt

  - Defined in packages/encryption/src/aesCipher.ts:38

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.encrypt

  - Defined in packages/encryption/src/aesCipher.ts:24

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc